Bug 94911 - Autocorrect: em dash doesn't form after closing parenthesis
Summary: Autocorrect: em dash doesn't form after closing parenthesis
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.3.0.1 rc
Hardware: x86-64 (AMD64) All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: AutoCorrect-Complete
  Show dependency treegraph
 
Reported: 2015-10-09 14:02 UTC by Bruno Beltran
Modified: 2019-01-18 09:27 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Bruno Beltran 2015-10-09 14:02:33 UTC
Normally, the insertion of two regular dashes "--", (HTML --) when the previous character is part of a regular word will result in the two regular dashes automatically being converted to an "em" dash--the long dash used in English to set off long tangential components of the sentence, such as this one--after another word and a space is inserted. If, however, the previous character is a closing parenthesis, the em-dash is not formed. 

In other words, typing
asdf--asdf<space>
will cause the two dashes to become an em dash, but typing
some stuff (I guess)--asdf<space>
will not trigger the conversion.

This is a bug and Microsoft Word has correctly converted the dash in the latter situation for some time now.

Thank you for your attention, please let me know if more detail is required.
Comment 1 Buovjaga 2015-10-09 16:30:13 UTC
Not reproduced. Linux-only, perhaps. Will have to test later.

Win 7 Pro 64-bit, Version: 5.0.2.2 (x64)
Build ID: 37b43f919e4de5eeaca9b9755ed688758a8251fe
Locale: fi-FI (fi_FI)
Comment 2 Bruno Beltran 2015-10-09 17:30:07 UTC
Just found an additional condition. There has to already be an em dash present in the document, or something along those lines. 

To reproduce, type:
asdf--as df)--asdf<space>

The first one should become an em dash but not the second.

Sorry for the misleading first report.
Comment 3 Buovjaga 2015-10-09 19:06:04 UTC
Thanks, could repro.

Win 7 Pro 64-bit, Version: 5.0.2.2 (x64)
Build ID: 37b43f919e4de5eeaca9b9755ed688758a8251fe
Locale: fi-FI (fi_FI)

4.3.0.1
Comment 4 tommy27 2016-10-11 20:13:16 UTC
issue reproducible under Win8.1 x64 too, using LibO 5.3.0.0.alpha0+
Build ID: e2f6c7f0d0cc14f851d7028ff846c5dc658a81c6
CPU Threads: 4; OS Version: Windows 6.29; UI Render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2016-10-10_23:08:02
Locale: it-IT (it_IT); Calc: group

you need to have "Autocorrect\Autocorrect Options...\Options\Replasce dashes" setting on to see the bug.

a workaround is to use wildcard autocorrection and set this entry:

Replace 
.*)--.*

with:
em dash

that should overcome the issue with closing parenthesis.

another workaround is to disable "Replace dashes" at all and use an even simpler autocorrect rule such as:

Replace 
.*--.*

with:
em dash


some people however would prefer to use:
.*--.* for en dash
and
.*---.* for em dash
Comment 5 QA Administrators 2017-10-23 14:09:22 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug